Bug 90140 - update biology/seaview: fix help file, remove uneccessary patches
Summary: update biology/seaview: fix help file, remove uneccessary patches
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tim Bishop
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-09 14:10 UTC by Fernan Aguero
Modified: 2005-12-10 14:12 UTC (History)
1 user (show)

See Also:


Attachments
seaview.diff (3.63 KB, patch)
2005-12-09 14:10 UTC, Fernan Aguero
no flags Details | Diff
seaview.diff (3.64 KB, patch)
2005-12-09 14:59 UTC, Fernan Aguero
no flags Details | Diff
seaview.diff (3.63 KB, patch)
2005-12-09 17:51 UTC, Fernan Aguero
no flags Details | Diff
seaview.diff (3.63 KB, patch)
2005-12-10 01:20 UTC, Fernan Aguero
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernan Aguero 2005-12-09 14:10:02 UTC
	
	
	The author of seaview has incorporated two of our patches into
	the upstream sources. So we remove these from the port.

	Also, the CFLAGS defined by the port are now being added
	to seaview's own CFLAGS. As a result the help file is now
	found by seaview as it should be.
Comment 1 Tim Bishop freebsd_committer 2005-12-09 14:10:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tdb

Grab.
Comment 2 Fernan Aguero 2005-12-09 14:59:35 UTC
+----[ Tim Bishop <tdb@FreeBSD.org> (09.Dec.2005 11:20):
|
| On Fri, 2005-12-09 at 11:00 -0300, Fernan Aguero wrote:
| > -PORTVERSION=	2005.13.07
| > +PORTVERSION=	2005.12.07
| 
| Version numbers can't go backwards:
| 
| % pkg_version -t 2005.13.07 2005.12.07
| >
| 
| So either make the new version bigger, or set PORTEPOCH=1 which results
| in a package name like:
| 
| seaview-2005.12.07,1
| 
| Tim.
|
+----]

Oh, yes, my fault. I tried to fix the PORTVERSION to use the
more standard YYYY.MM.DD ... I've now set PORTEPOCH in the
attached patch.

Thanks again,

Fernan
Comment 3 Fernan Aguero 2005-12-09 17:51:23 UTC
+----[ Tim Bishop <tdb@FreeBSD.org> (09.Dec.2005 12:15):
|
| > Oh, yes, my fault. I tried to fix the PORTVERSION to use the
| > more standard YYYY.MM.DD ... I've now set PORTEPOCH in the
| > attached patch.
| 
| I should probably just check you're aware of the implications of using
| PORTEPOCH:
| 
| http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-naming.html#AEN514
| 
| Once set it can never be undone. The only other solution though is to
| use a non-standard version number until 2006 :-)

Yeah, you're right, perhaps it's better to stick with the
non-standard version number until the next version comes
out, which most probably will be in 2006.
 
| I'm happy with whatever you want to do though.
|
+----]

Patch is attached,

Fernan
Comment 4 Fernan Aguero 2005-12-10 01:20:40 UTC
+----[ Tim Bishop <tdb@FreeBSD.org> (09.Dec.2005 16:34):
|
| On Fri, 2005-12-09 at 18:00 +0000, Fernan Aguero wrote:
| >  -PORTVERSION=	2005.13.07
| >  +PORTVERSION=	2005.07.12
| 
| That new number is still lower:
| 
| % pkg_version -t 2005.13.07 2005.07.12
| >
| 
| Use pkg_version like that to test if the new version is greater than the
| old version. Maybe use 2005.99 or something? Or just do what the
| commerical industry does and brand it version 2006! (cue fireworks and
| large advertising campaign :-)
| 
| Tim.
|
+----]

Yeah, seems like I should do that. Patch attached. Version
is now 2006.01.01 :|

Thanks for your patience,

Fernan
Comment 5 Tim Bishop freebsd_committer 2005-12-10 14:11:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!